/*
 * Enhydra Java Application Server 
 * The Initial Developer of the Original Code is Lutris Technologies Inc. 
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc. 
 * All Rights Reserved. 
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License. 
 *
 * 
 */


package chat.presentation;

import com.lutris.xml.xmlc.*;
import com.lutris.appserver.server.httpPresentation.*;

/**
 * This presentation object produces HTML file which defines
 * the frameset inside the chat board
 *
 */
public class Chat implements HttpPresentation {

    /**
     * Only one function is needed for this presentation object
     */ 
    public void run(HttpPresentationComms comms) 
	        throws HttpPresentationException {
        ChatHTML page = new ChatHTML();
        comms.response.writeHTML(page.toDocument());
    }
}
