/*
 * Enhydra Java Application Server 
 * The Initial Developer of the Original Code is Lutris Technologies Inc. 
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc. 
 * All Rights Reserved. 
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License. 
 *
 * 
 */

package	demoApp.presentation.utilities;

import com.lutris.appserver.server.session.*;
import com.lutris.http.*;
import com.lutris.appserver.server.jolt.joltpo.*;

/**
 * Utility methods for working with JoltHtml Presentation pages.
 * 
 * @version	$Revision: 1.10 $
 * @author	Shawn McMurdo
 */
public class PageUtils
{
    /**
     * handlePreviousForm determines if the previous page contained a
     * form and handles any data from that form.
     * @param session The user's session.
     * @param pageData The JHtmlPageData containing the RequestArgs to
     *	be processed.
     */
    public static
    void handlePreviousForm(Session session, JoltPageData pageData)
    {
    }
}

